Package org.eclipse.microprofile.rest.client.tck

# Class AdditionalRegistrationTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.AdditionalRegistrationTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class AdditionalRegistrationTest extends org.jboss.arquillian.testng.Arquillian

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`AdditionalRegistrationTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.Archive<?>`
`createDeployment()`
`void`
`shouldRegisterAMultiTypedProviderClass()`
`void`
`shouldRegisterAMultiTypedProviderClassWithPriorities()`
`void`
`shouldRegisterAMultiTypedProviderInstance()`
`void`
`shouldRegisterAMultiTypedProviderInstanceWithPriorities()`
`void`
`shouldRegisterInstance()`
`void`
`shouldRegisterInstanceWithPriority()`
`void`
`shouldRegisterProvidersWithPriority()`
`void`
`testPropertiesRegistered()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdditionalRegistrationTest

public AdditionalRegistrationTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.Archive<?> createDeployment()

### shouldRegisterInstance

public void shouldRegisterInstance()

### shouldRegisterInstanceWithPriority

public void shouldRegisterInstanceWithPriority()

### shouldRegisterAMultiTypedProviderInstance

public void shouldRegisterAMultiTypedProviderInstance()

### shouldRegisterAMultiTypedProviderInstanceWithPriorities

public void shouldRegisterAMultiTypedProviderInstanceWithPriorities()

### shouldRegisterProvidersWithPriority

public void shouldRegisterProvidersWithPriority()

### shouldRegisterAMultiTypedProviderClass

public void shouldRegisterAMultiTypedProviderClass()

### shouldRegisterAMultiTypedProviderClassWithPriorities

public void shouldRegisterAMultiTypedProviderClassWithPriorities()

### testPropertiesRegistered

public void testPropertiesRegistered()